### Method

# Gimp TextLayer set_font

since: 2.6

#### Declaration [src]

    gboolean
    gimp_text_layer_set_font (
      GimpTextLayer* layer,
      const gchar* font
    )

#### Description [src]

Set the font of a text layer.

This procedure modifies the font used in the specified text layer.

Available since: 2.6

#### Parameters

`font`

  Type: `const gchar*`

  The new font to use.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

TRUE on success.